[ 
https://issues.apache.org/jira/browse/SVN-4654?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15501111#comment-15501111
 ] 

Michael Osipov commented on SVN-4654:
-------------------------------------

Yes, you are right, it is 
[http://pubs.opengroup.org/onlinepubs/9699919799/xrat/V4_xcu_chap02.html#tag_23_02_06_03|still
 POSIX] but {{$()}} is recommended.

Please have a look at the tarball. The shell tries to execute {{/lib}} with 
{{/lib64}} as argument. There is some escaping issue as described in the specs. 
Frankly, I have wasted two hours to figure it out. {{$()}} does the job. If you 
have, of course, an idea with better compat, I am happy to verify it. Note that 
the operating system I use is already nine years old. How old are the Solaris 
versions you try to support?

> configure: command substitution for SVN_REMOVE_STANDARD_LIB_DIRS fails with 
> non-POSIX backticks on HP-UX
> --------------------------------------------------------------------------------------------------------
>
>                 Key: SVN-4654
>                 URL: https://issues.apache.org/jira/browse/SVN-4654
>             Project: Subversion
>          Issue Type: Bug
>          Components: compile, install
>    Affects Versions: 1.9.4, trunk
>         Environment: $ uname -a
> HP-UX blnn724x B.11.31 U ia64 HP-UX
>            Reporter: Michael Osipov
>         Attachments: SVN-4654.patch, configure.err.tar.gz
>
>
> When running {{configure}} on HP-UX, you see several times 
> {{./configure\[4880\]: : Execute permission denied.}} and 
> {{./configure\[4880\]: /lib64:  not found.}}.
> This is caused by having the command substitution perfomed by backticks 
> {{LDFLAGS="`SVN_REMOVE_STANDARD_LIB_DIR(...)`"}} and not with standard POSIX 
> {{$()}}.
> See attached trace output w/o patch and with patch applied.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Reply via email to